#
# spec file for package hp2pretty
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hp2pretty
Version:        0.9
Release:        1.8
Summary:        Generate pretty graphs from heap profiles
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-floatshow-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel

%description
Hp2pretty is a rewrite of hp2ps, implemented in Haskell, with the aims of being
maintainable, with more flexible output, and more beautiful output.
Currently hp2pretty outputs Scalable Vector Graphics (SVG) only, though
PostScript (PS) is planned. Not all of hp2ps' options are implemented yet in
hp2pretty.

In hp2pretty-0.9 a mode for detached key is added:

> hp2pretty --key=inline *.hp > hp2pretty --key=key.txt *.hp > hp2pretty
--key=- *.hp

The output file is an simple text file, that mentions additional SVG files for
the legend - how you format it is up to you.

A mode for detached titles is also added:

> hp2pretty --title=inline *.hp > hp2pretty --title=title.txt *.hp > hp2pretty
--title=- *.hp

The output file is an simple text file, that mentions the image SVG files.
You could use this for figure captions, etc.

See the examples/ directory in the source distribution for hints.

In hp2pretty-0.8 output filtering and sorting flags are added, as well as
low-ink pattern fills for printing:

> hp2pretty --trace=1 *.hp > hp2pretty --bands=15 *.hp > hp2pretty --sort=size
*.hp > hp2pretty --sort=stddev *.hp > hp2pretty --sort=name *.hp > hp2pretty
--reverse *.hp > hp2pretty --pattern *.hp

In hp2pretty-0.7 a parsing bug is fixed.

In hp2pretty-0.6 ByteString is replaced by Text, fixing bugs with Unicode.

In hp2pretty-0.5 using attoparsec and floatshow internally should give a
healthy speedup.

In hp2pretty-0.4 usage changed since the previous release:

> hp2pretty *.hp > hp2pretty --uniform-scale=time *.hp > hp2pretty
--uniform-scale=memory *.hp > hp2pretty --uniform-scale=both *.hp

Colours also changed: now they are based on a hash of the cost label, which
should make colours have stable semantics across program runs.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc NEWS README examples
%{_bindir}/%{name}

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add hp2pretty at version 0.9.
